Article Supplier
Configure article-supplier relations in VARIO Cloud via API, including supplier product data, prices, delivery times, order quantities, and labels.
the Article Supplier API
an identifier
successful operation
Article-Supplier-Relation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Referenced Article
Referenced Article name
Referenced Supplier-Account
Artikelnummer
Anzeigename des Accounts
Aktiv?
trueAbweichende Produktnummer
Abweichende Produktbezeichnung
Abweichende Produktbeschreibung
Abweichender Produktidentifer (z.B. Barcode)
Soll die abweichende Produktnummer verwendet werden (z.B. in Belegen)
falseSoll die abweichende Produktbezeichnung verwendet werden (z.B. in Belegen)
falseSoll die abweichende Produktbeschreibung verwendet werden (z.B. in Belegen)
falseSoll der abweichende Produktidentifier verwendet werden (z.B. in einer Scanner-Erfassung)
falseEinkaufseinheit
Verpackungseinheit
Lieferzeit in (Werk-)Tagen
Mindestbestellmenge
Lieferanten-Meldebestand
Hauptlieferant
falseStandardpreis Netto
Standardpreis Brutto
Sollen Baugruppen auf Komponenten-Basis bestellt werden?)
trueKennzeichen, ob Streckengeschäft erlaubt
Resource with given ID was not found
GET /erp/article-suppliers/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"articleId": "text",
"articleName": "text",
"accountId": "text",
"articleNumber": "text",
"accountDisplayName": "text",
"active": true,
"supplierArticleNumber": "text",
"supplierArticleName": "text",
"supplierArticleDescription": "text",
"supplierArticleIdentifier": "text",
"useSupplierArticleNumber": false,
"useSupplierArticleName": false,
"useSupplierArticleDescription": false,
"useSupplierArticleIdentifier": false,
"purchaseUnit": 1,
"packagingUnit": 1,
"productUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"orderUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"deliveryTime": 1,
"minimumOrderQuantity": 1,
"supplierReportingStock": 1,
"mainSupplier": false,
"discountGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defaultNetPrice": 1,
"defaultGrossPrice": 1,
"productPrices": [],
"orderOnComponentBase": true,
"dropShippingAllowed": true,
"supplierPrintLabelSettings": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"report": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"incomingCalculationMode": "NO_LABEL",
"incomingPrintQuantity": 1,
"outgoingCalculationMode": "NO_LABEL",
"outgoingPrintQuantity": 1
}
}an identifier
Article-Supplier-Relation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Referenced Article
Referenced Article name
Referenced Supplier-Account
Artikelnummer
Anzeigename des Accounts
Aktiv?
trueAbweichende Produktnummer
Abweichende Produktbezeichnung
Abweichende Produktbeschreibung
Abweichender Produktidentifer (z.B. Barcode)
Soll die abweichende Produktnummer verwendet werden (z.B. in Belegen)
falseSoll die abweichende Produktbezeichnung verwendet werden (z.B. in Belegen)
falseSoll die abweichende Produktbeschreibung verwendet werden (z.B. in Belegen)
falseSoll der abweichende Produktidentifier verwendet werden (z.B. in einer Scanner-Erfassung)
falseEinkaufseinheit
Verpackungseinheit
Lieferzeit in (Werk-)Tagen
Mindestbestellmenge
Lieferanten-Meldebestand
Hauptlieferant
falseStandardpreis Netto
Standardpreis Brutto
Sollen Baugruppen auf Komponenten-Basis bestellt werden?)
trueKennzeichen, ob Streckengeschäft erlaubt
successful operation
Article-Supplier-Relation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Referenced Article
Referenced Article name
Referenced Supplier-Account
Artikelnummer
Anzeigename des Accounts
Aktiv?
trueAbweichende Produktnummer
Abweichende Produktbezeichnung
Abweichende Produktbeschreibung
Abweichender Produktidentifer (z.B. Barcode)
Soll die abweichende Produktnummer verwendet werden (z.B. in Belegen)
falseSoll die abweichende Produktbezeichnung verwendet werden (z.B. in Belegen)
falseSoll die abweichende Produktbeschreibung verwendet werden (z.B. in Belegen)
falseSoll der abweichende Produktidentifier verwendet werden (z.B. in einer Scanner-Erfassung)
falseEinkaufseinheit
Verpackungseinheit
Lieferzeit in (Werk-)Tagen
Mindestbestellmenge
Lieferanten-Meldebestand
Hauptlieferant
falseStandardpreis Netto
Standardpreis Brutto
Sollen Baugruppen auf Komponenten-Basis bestellt werden?)
trueKennzeichen, ob Streckengeschäft erlaubt
Resource was not found
Resource was not valid to process
PUT /erp/article-suppliers/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 973
{
"version": "text",
"info": {},
"id": "text",
"articleId": "text",
"articleName": "text",
"accountId": "text",
"active": true,
"supplierArticleNumber": "text",
"supplierArticleName": "text",
"supplierArticleDescription": "text",
"supplierArticleIdentifier": "text",
"useSupplierArticleNumber": false,
"useSupplierArticleName": false,
"useSupplierArticleDescription": false,
"useSupplierArticleIdentifier": false,
"purchaseUnit": 1,
"packagingUnit": 1,
"productUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"orderUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"deliveryTime": 1,
"minimumOrderQuantity": 1,
"supplierReportingStock": 1,
"mainSupplier": false,
"discountGroupRef": {
"id": "text"
},
"defaultNetPrice": 1,
"defaultGrossPrice": 1,
"orderOnComponentBase": true,
"dropShippingAllowed": true,
"supplierPrintLabelSettings": {
"version": "text",
"info": {},
"id": "text",
"report": {
"id": "text"
},
"incomingCalculationMode": "NO_LABEL",
"incomingPrintQuantity": 1,
"outgoingCalculationMode": "NO_LABEL",
"outgoingPrintQuantity": 1
}
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"articleId": "text",
"articleName": "text",
"accountId": "text",
"articleNumber": "text",
"accountDisplayName": "text",
"active": true,
"supplierArticleNumber": "text",
"supplierArticleName": "text",
"supplierArticleDescription": "text",
"supplierArticleIdentifier": "text",
"useSupplierArticleNumber": false,
"useSupplierArticleName": false,
"useSupplierArticleDescription": false,
"useSupplierArticleIdentifier": false,
"purchaseUnit": 1,
"packagingUnit": 1,
"productUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"orderUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"deliveryTime": 1,
"minimumOrderQuantity": 1,
"supplierReportingStock": 1,
"mainSupplier": false,
"discountGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defaultNetPrice": 1,
"defaultGrossPrice": 1,
"productPrices": [],
"orderOnComponentBase": true,
"dropShippingAllowed": true,
"supplierPrintLabelSettings": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"report": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"incomingCalculationMode": "NO_LABEL",
"incomingPrintQuantity": 1,
"outgoingCalculationMode": "NO_LABEL",
"outgoingPrintQuantity": 1
}
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /erp/article-suppliers/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}identifier
successful operation
Article-Supplier-Relation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Referenced Article
Referenced Article name
Referenced Supplier-Account
Artikelnummer
Anzeigename des Accounts
Aktiv?
trueAbweichende Produktnummer
Abweichende Produktbezeichnung
Abweichende Produktbeschreibung
Abweichender Produktidentifer (z.B. Barcode)
Soll die abweichende Produktnummer verwendet werden (z.B. in Belegen)
falseSoll die abweichende Produktbezeichnung verwendet werden (z.B. in Belegen)
falseSoll die abweichende Produktbeschreibung verwendet werden (z.B. in Belegen)
falseSoll der abweichende Produktidentifier verwendet werden (z.B. in einer Scanner-Erfassung)
falseEinkaufseinheit
Verpackungseinheit
Lieferzeit in (Werk-)Tagen
Mindestbestellmenge
Lieferanten-Meldebestand
Hauptlieferant
falseStandardpreis Netto
Standardpreis Brutto
Sollen Baugruppen auf Komponenten-Basis bestellt werden?)
trueKennzeichen, ob Streckengeschäft erlaubt
Resource was not found
Resource was not valid to process
PUT /erp/article-suppliers/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"articleId": "text",
"articleName": "text",
"accountId": "text",
"articleNumber": "text",
"accountDisplayName": "text",
"active": true,
"supplierArticleNumber": "text",
"supplierArticleName": "text",
"supplierArticleDescription": "text",
"supplierArticleIdentifier": "text",
"useSupplierArticleNumber": false,
"useSupplierArticleName": false,
"useSupplierArticleDescription": false,
"useSupplierArticleIdentifier": false,
"purchaseUnit": 1,
"packagingUnit": 1,
"productUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"orderUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"deliveryTime": 1,
"minimumOrderQuantity": 1,
"supplierReportingStock": 1,
"mainSupplier": false,
"discountGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defaultNetPrice": 1,
"defaultGrossPrice": 1,
"productPrices": [],
"orderOnComponentBase": true,
"dropShippingAllowed": true,
"supplierPrintLabelSettings": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"report": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"incomingCalculationMode": "NO_LABEL",
"incomingPrintQuantity": 1,
"outgoingCalculationMode": "NO_LABEL",
"outgoingPrintQuantity": 1
}
}identifier
successful operation
Article-Supplier-Relation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Referenced Article
Referenced Article name
Referenced Supplier-Account
Artikelnummer
Anzeigename des Accounts
Aktiv?
trueAbweichende Produktnummer
Abweichende Produktbezeichnung
Abweichende Produktbeschreibung
Abweichender Produktidentifer (z.B. Barcode)
Soll die abweichende Produktnummer verwendet werden (z.B. in Belegen)
falseSoll die abweichende Produktbezeichnung verwendet werden (z.B. in Belegen)
falseSoll die abweichende Produktbeschreibung verwendet werden (z.B. in Belegen)
falseSoll der abweichende Produktidentifier verwendet werden (z.B. in einer Scanner-Erfassung)
falseEinkaufseinheit
Verpackungseinheit
Lieferzeit in (Werk-)Tagen
Mindestbestellmenge
Lieferanten-Meldebestand
Hauptlieferant
falseStandardpreis Netto
Standardpreis Brutto
Sollen Baugruppen auf Komponenten-Basis bestellt werden?)
trueKennzeichen, ob Streckengeschäft erlaubt
Resource was not found
Resource was not valid to process
PUT /erp/article-suppliers/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"articleId": "text",
"articleName": "text",
"accountId": "text",
"articleNumber": "text",
"accountDisplayName": "text",
"active": true,
"supplierArticleNumber": "text",
"supplierArticleName": "text",
"supplierArticleDescription": "text",
"supplierArticleIdentifier": "text",
"useSupplierArticleNumber": false,
"useSupplierArticleName": false,
"useSupplierArticleDescription": false,
"useSupplierArticleIdentifier": false,
"purchaseUnit": 1,
"packagingUnit": 1,
"productUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"orderUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"deliveryTime": 1,
"minimumOrderQuantity": 1,
"supplierReportingStock": 1,
"mainSupplier": false,
"discountGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defaultNetPrice": 1,
"defaultGrossPrice": 1,
"productPrices": [],
"orderOnComponentBase": true,
"dropShippingAllowed": true,
"supplierPrintLabelSettings": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"report": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"incomingCalculationMode": "NO_LABEL",
"incomingPrintQuantity": 1,
"outgoingCalculationMode": "NO_LABEL",
"outgoingPrintQuantity": 1
}
}Article-Supplier-Relation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Referenced Article
Referenced Article name
Referenced Supplier-Account
Artikelnummer
Anzeigename des Accounts
Aktiv?
trueAbweichende Produktnummer
Abweichende Produktbezeichnung
Abweichende Produktbeschreibung
Abweichender Produktidentifer (z.B. Barcode)
Soll die abweichende Produktnummer verwendet werden (z.B. in Belegen)
falseSoll die abweichende Produktbezeichnung verwendet werden (z.B. in Belegen)
falseSoll die abweichende Produktbeschreibung verwendet werden (z.B. in Belegen)
falseSoll der abweichende Produktidentifier verwendet werden (z.B. in einer Scanner-Erfassung)
falseEinkaufseinheit
Verpackungseinheit
Lieferzeit in (Werk-)Tagen
Mindestbestellmenge
Lieferanten-Meldebestand
Hauptlieferant
falseStandardpreis Netto
Standardpreis Brutto
Sollen Baugruppen auf Komponenten-Basis bestellt werden?)
trueKennzeichen, ob Streckengeschäft erlaubt
successful operation
Article-Supplier-Relation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Referenced Article
Referenced Article name
Referenced Supplier-Account
Artikelnummer
Anzeigename des Accounts
Aktiv?
trueAbweichende Produktnummer
Abweichende Produktbezeichnung
Abweichende Produktbeschreibung
Abweichender Produktidentifer (z.B. Barcode)
Soll die abweichende Produktnummer verwendet werden (z.B. in Belegen)
falseSoll die abweichende Produktbezeichnung verwendet werden (z.B. in Belegen)
falseSoll die abweichende Produktbeschreibung verwendet werden (z.B. in Belegen)
falseSoll der abweichende Produktidentifier verwendet werden (z.B. in einer Scanner-Erfassung)
falseEinkaufseinheit
Verpackungseinheit
Lieferzeit in (Werk-)Tagen
Mindestbestellmenge
Lieferanten-Meldebestand
Hauptlieferant
falseStandardpreis Netto
Standardpreis Brutto
Sollen Baugruppen auf Komponenten-Basis bestellt werden?)
trueKennzeichen, ob Streckengeschäft erlaubt
Resource was not valid to process
POST /erp/article-suppliers HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 973
{
"version": "text",
"info": {},
"id": "text",
"articleId": "text",
"articleName": "text",
"accountId": "text",
"active": true,
"supplierArticleNumber": "text",
"supplierArticleName": "text",
"supplierArticleDescription": "text",
"supplierArticleIdentifier": "text",
"useSupplierArticleNumber": false,
"useSupplierArticleName": false,
"useSupplierArticleDescription": false,
"useSupplierArticleIdentifier": false,
"purchaseUnit": 1,
"packagingUnit": 1,
"productUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"orderUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"deliveryTime": 1,
"minimumOrderQuantity": 1,
"supplierReportingStock": 1,
"mainSupplier": false,
"discountGroupRef": {
"id": "text"
},
"defaultNetPrice": 1,
"defaultGrossPrice": 1,
"orderOnComponentBase": true,
"dropShippingAllowed": true,
"supplierPrintLabelSettings": {
"version": "text",
"info": {},
"id": "text",
"report": {
"id": "text"
},
"incomingCalculationMode": "NO_LABEL",
"incomingPrintQuantity": 1,
"outgoingCalculationMode": "NO_LABEL",
"outgoingPrintQuantity": 1
}
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"articleId": "text",
"articleName": "text",
"accountId": "text",
"articleNumber": "text",
"accountDisplayName": "text",
"active": true,
"supplierArticleNumber": "text",
"supplierArticleName": "text",
"supplierArticleDescription": "text",
"supplierArticleIdentifier": "text",
"useSupplierArticleNumber": false,
"useSupplierArticleName": false,
"useSupplierArticleDescription": false,
"useSupplierArticleIdentifier": false,
"purchaseUnit": 1,
"packagingUnit": 1,
"productUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"orderUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"deliveryTime": 1,
"minimumOrderQuantity": 1,
"supplierReportingStock": 1,
"mainSupplier": false,
"discountGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defaultNetPrice": 1,
"defaultGrossPrice": 1,
"productPrices": [],
"orderOnComponentBase": true,
"dropShippingAllowed": true,
"supplierPrintLabelSettings": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"report": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"incomingCalculationMode": "NO_LABEL",
"incomingPrintQuantity": 1,
"outgoingCalculationMode": "NO_LABEL",
"outgoingPrintQuantity": 1
}
}Last updated
Was this helpful?